classification
Title: Leak in _hashopenssl.c
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: christian.heimes, pitrou, python-dev, skrah
Priority: normal Keywords: patch

Created on 2013-10-28 11:53 by skrah, last changed 2014-04-28 23:47 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
_hashopenssl.patch skrah, 2013-10-28 11:53 review
Messages (7)
msg201527 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2013-10-28 11:53
There's a leak in _hashopenssl.c. Patch attached.
msg201528 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-10-28 11:55
Which Python versions are affected?
msg201530 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-10-28 11:58
2.7 isn't affected. It's not a security issue which means I'm not going to apply it to 3.2.
msg201622 - (view) Author: Roundup Robot (python-dev) Date: 2013-10-29 11:15
New changeset 6fdbb81b4020 by Christian Heimes in branch 'default':
Issue #19420: Fix reference leak in module initalization code of _hashopenssl.c
http://hg.python.org/cpython/rev/6fdbb81b4020
msg201623 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-10-29 11:16
Fixed in 3.4

Georg, 3.3 is currently in RC phase and this fix is not critical. Do you want me to commit it anyway or shall I wait until 3.3.3 has been released by you?
msg203156 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-11-17 14:00
ping
msg217451 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-04-28 23:47
3.3 is in security mode now, so this can be closed IMO.
History
Date User Action Args
2014-04-28 23:47:43pitrousetstatus: open -> closed

versions: + Python 3.4, - Python 3.3
nosy: + pitrou

messages: + msg217451
resolution: fixed
stage: patch review -> resolved
2013-11-17 14:00:29christian.heimessetmessages: + msg203156
versions: - Python 3.4
2013-10-29 11:16:57christian.heimessetmessages: + msg201623
2013-10-29 11:15:36python-devsetnosy: + python-dev
messages: + msg201622
2013-10-28 11:58:21christian.heimessetmessages: + msg201530
versions: + Python 3.3, Python 3.4
2013-10-28 11:55:02christian.heimessetassignee: christian.heimes
type: resource usage
components: + Extension Modules

nosy: + christian.heimes
messages: + msg201528
stage: patch review
2013-10-28 11:53:18skrahcreate